Get branch
curl --request GET \
--url https://api.example.com/api/projects/{projectId}/branches/{branchId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/projects/{projectId}/branches/{branchId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/projects/{projectId}/branches/{branchId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"default": true,
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"baseCommitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"changeRequests": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"type": "<string>",
"branchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"latestCommit": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"branchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"files": [
"<unknown>"
]
},
"totalCommits": 123,
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
}
}Branches
Get branch
Retrieves details of a specific branch including its latest commit and change requests.
GET
/
api
/
projects
/
{projectId}
/
branches
/
{branchId}
Get branch
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
Project ID
Branch ID or "main" for the default branch
Response
200 - application/json
Branch details with latest commit and change requests
Branch details with latest commit and change requests
Branch ID
Branch name
Whether this is the default (main) branch
Project ID
Base commit ID
ID of user who created the branch
Creation timestamp
Last update timestamp
Pending change requests
Show child attributes
Show child attributes
Latest commit on the branch
Show child attributes
Show child attributes
Total number of commits on the branch
User who created the branch
Show child attributes
Show child attributes
Was this page helpful?
⌘I